[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TDateRangeCheckEvent

Specifies an event handler signalled prior to validating a date for it lower and upper limits.

## Declaration

Source position: editbtn.pas line 588

`type TDateRangeCheckEvent = procedure(`
`Sender: TObject;`
`var ADate: TDateTime`
`) of object;`

## Arguments

`Sender` |  | Object (TDateEdit) for the event notification.
`ADate` |  | The existing TDateTime value for the handler routine.

## Description

TDateRangeCheckEvent is the type used to implement the OnDateRangeCheck property in TDateEdit. TDateRangeCheckEvent allows the control to perform actions needed for the existing value in ADate prior to validating and/or limiting the value to a specific range.

## See also

TDateEdit.MinDate |  | Smallest date value allowed in the date edit control.
TDateEdit.MaxDate |  | Largest date value allowed in the date edit control.
TDateEdit.ButtonClick |  | Displays a pop-up calendar dialog when the Button for the grouped edit control is clicked.